$ | >

Support for IDEA exposure for the Linux dev tools like git and mvn, make etc

While the WSL is a great tool and is powerfull, there is a realy big gap were having now. I need to redudntly install stuff if I use an IDEA (like intellij or eclipse). To expose git to these tools. I can try to be creative with bat scripts to expose some of the bash native git. But then there is achance to get a "Cannot launch bash because another instance is running un-elevated. Elevated and un-elevated instances are not permitted to run simultaneously." response (and break your bat script).

What I would love to see a way to be able to intergrate the wsl bash lair a bit better for idea by for example a comnd property use what ever level is available (eg use whats there on privlage level). This would make redudent installs of version controll and compilers a lot less hassel.

28 votes
Sign in
Check!
(thinking…)
Reset
or sign in with
  • facebook
  • google
    Password icon
    Signed in as (Sign out)

    We’ll send you updates on this idea

    Martijn Cremer shared this idea  ·   ·  Flag idea as inappropriate…  ·  Admin →

    2 comments

    Sign in
    Check!
    (thinking…)
    Reset
    or sign in with
    • facebook
    • google
      Password icon
      Signed in as (Sign out)
      Submitting...

      Feedback and Knowledge Base